void printi(int val);

int main()
{
  enum {
    TEST_ENUM_0 = 1,
    TEST_ENUM_1 = 10,
    TEST_ENUM_2,
    TEST_ENUM_3 = 20,
    TEST_ENUM_4
  } e;

  e = TEST_ENUM_0; printi(e);
  e = TEST_ENUM_1; printi(e);
  e = TEST_ENUM_2; printi(e);
  e = TEST_ENUM_3; printi(e);
  e = TEST_ENUM_4; printi(e);

  return 0;
}
